import java.util.*;
import java.awt.*;
import java.awt.event.*;


public class TwistHax extends Frame implements ActionListener{

	protected TextField text;
	protected Button button;

	public TwistHax(){
		super("TwistHax");
		this.setBounds(0,0,200,200);
		this.setLayout(new FlowLayout());
		text = new TextField(6);
		button = new Button("Start");
		
		this.add(text);
		this.add(button);
		
		text.setBounds(25,40,150,40);
		button.setBounds(25,90,150,40);
		button.addActionListener(this);
		this.setVisible(true);
		

	}


	public void actionPerformed(ActionEvent e){
		char[] letters = (text.getText().substring(0,6).toUpperCase().toCharArray());
		long now = System.currentTimeMillis();
		while(((System.currentTimeMillis() - now) / 1000) < 5){
				System.out.println((System.currentTimeMillis() - now) / 1000);
		}
		try{
			Robot myRobot = new Robot();
			for(int numSel = 6; numSel >= 3; numSel--){
				PermutationIterator myIt = new PermutationIterator(6,numSel);
				while(myIt.hasNext()){
					int[] keys = (int[])myIt.next();
					
					for(int i = 0; i < keys.length; i++){
						char myLetter = letters[keys[i]];
						pressKey(myRobot, (int)myLetter, ((i < (keys.length - 1)) && (myLetter == letters[keys[i + 1]])) ? 50 : 0);
						
					}
					pressKey(myRobot, KeyEvent.VK_ENTER, 0);
				}
			}
		} catch(Exception err){
			err.printStackTrace();
		}
		
		
		
		
	}
	
	private void pressKey(Robot r, int key, long delay){
		r.keyPress(key);
		long time = System.currentTimeMillis();
		while((System.currentTimeMillis() - time) < delay);
		return;
	}

	public static void main(String args[]){
		TwistHax hax = new TwistHax();
	}
}